
QGIS Application - Feature request #10135

Add a tool to remove isolated lines

2014-04-29 04:50 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: up/downstream

Easy fix?: No Copied to github as #: 18594

Description

People from the Technical University Delft have created an automated way for: "Validation and Automatic Repair of Planar Partitions". It is

called 'pprepair'.

It's pure c++ but has cgal as dependency.

Code is here: https://github.com/tudelft-gist/pprepair

Some theory: http://www.gdmc.nl/ken/files/12_osgis.pdf

And Barry blogging about it: http://geospaced.blogspot.nl/2012/09/fixing-polygons-with-pprepair.html

A Processing provider would be much welcome, as it would solve very tricky issues, especially when merging layers with different

precisions. To be really usable, pprepair packages should be available for major platforms.

History

#1 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-02-24 02:30 PM - Paolo Cavallini

- Resolution set to up/downstream

- Status changed from Open to Closed

- Description updated

Available as plugin.
